Tarantool development patches archive
 help / color / mirror / Atom feed
* [Tarantool-patches] [PATCH] Fix queue test preparing
@ 2019-12-06 17:36 Leonid Vasiliev
  2019-12-06 19:18 ` Leonid Vasiliev
  0 siblings, 1 reply; 3+ messages in thread
From: Leonid Vasiliev @ 2019-12-06 17:36 UTC (permalink / raw)
  To: alexander.turenko; +Cc: tarantool-patches

Add redirect procesing and check of a commands exit code.

---
 test.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/test.sh b/test.sh
index 3fca125..32f7567 100755
--- a/test.sh
+++ b/test.sh
@@ -1,15 +1,17 @@
 #!/bin/bash
 
+set -euo pipefail
+
 VERSION=${VERSION:-2_2}
 
-curl https://packagecloud.io/tarantool/${VERSION}/gpgkey | sudo apt-key add -
+curl -sfL https://packagecloud.io/tarantool/${VERSION}/gpgkey | sudo apt-key add -
 release=`lsb_release -c -s`
 
 sudo apt-get install -y apt-transport-https
 
 sudo tee /etc/apt/sources.list.d/tarantool_${VERSION}.list <<- EOF
-deb https://packagecloud.io/tarantool/${VERSION}/ubuntu/ $release main
-deb-src https://packagecloud.io/tarantool/${VERSION}/ubuntu/ $release main
+deb https://packagecloud.io/tarantool/${VERSION}/ubuntu/ ${release} main
+deb-src https://packagecloud.io/tarantool/${VERSION}/ubuntu/ ${release} main
 EOF
 
 sudo apt-get update > /dev/null
-- 
2.17.1

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2019-12-18  2:02 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-12-06 17:36 [Tarantool-patches] [PATCH] Fix queue test preparing Leonid Vasiliev
2019-12-06 19:18 ` Leonid Vasiliev
2019-12-18  2:02   ` Alexander Turenko

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox